# Uses of Interface
java.nio.file.CopyOption

Packages that use CopyOption
Package
Description
java.nio.file
Defines interfaces and classes for the Java virtual machine to access files, file attributes, and file systems.
java.nio.file.spi
Service-provider classes for the `java.nio.file` package.

## Uses of CopyOption in java.nio.file

Classes in java.nio.file that implement CopyOption
Modifier and Type
Class
Description
`enum`
`LinkOption`
Defines the options as to how symbolic links are handled.
`enum`
`StandardCopyOption`
Defines the standard copy options.
Methods in java.nio.file with parameters of type CopyOption
Modifier and Type
Method
Description
`static long`
Files.`copy(InputStream in, Path target, CopyOption... options)`
Copies all bytes from an input stream to a file.
`static Path`
Files.`copy(Path source, Path target, CopyOption... options)`
Copy a file to a target file.
`static Path`
Files.`move(Path source, Path target, CopyOption... options)`
Move or rename a file to a target file.

## Uses of CopyOption in java.nio.file.spi

Methods in java.nio.file.spi with parameters of type CopyOption
Modifier and Type
Method
Description
`abstract void`
FileSystemProvider.`copy(Path source, Path target, CopyOption... options)`
Copy a file to a target file.
`abstract void`
FileSystemProvider.`move(Path source, Path target, CopyOption... options)`
Move or rename a file to a target file.